import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const blueprintView = await client.blueprints.retrieve('id');
console.log(blueprintView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
blueprint_view = client.blueprints.retrieve(
"id",
)
print(blueprint_view.id)curl --request GET \
--url https://api.runloop.ai/v1/blueprints/{id} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"name": "<string>",
"status": "queued",
"state": "created",
"create_time_ms": 123,
"parameters": {
"name": "<string>",
"dockerfile": "<string>",
"system_setup_commands": [
"<string>"
],
"code_mounts": [
{
"repo_name": "<string>",
"repo_owner": "<string>",
"install_command": "<string>",
"git_ref": "<string>",
"token": "<string>"
}
],
"launch_parameters": {
"launch_commands": [
"<string>"
],
"resource_size_request": "X_SMALL",
"available_ports": [
123
],
"keep_alive_time_seconds": 123,
"after_idle": {
"idle_time_seconds": 123,
"on_idle": "shutdown"
},
"custom_cpu_cores": 123,
"custom_gb_memory": 123,
"custom_disk_size": 123,
"architecture": "x86_64",
"user_parameters": {
"username": "<string>",
"uid": 123
},
"required_services": [
"<string>"
],
"network_policy_id": "<string>",
"lifecycle": {
"after_idle": {
"idle_time_seconds": 123,
"on_idle": "shutdown"
},
"resume_triggers": {
"http": true,
"axon_event": true
},
"lifecycle_hooks": {
"suspend_commands": [
"<string>"
],
"suspend_deadline_ms": 123
}
},
"provisioning_tier": "standard"
},
"file_mounts": {},
"base_blueprint_id": "<string>",
"base_blueprint_name": "<string>",
"services": [
{
"name": "<string>",
"image": "<string>",
"credentials": {
"username": "<string>",
"password": "<string>"
},
"env": {},
"port_mappings": [
"<string>"
],
"options": "<string>"
}
],
"metadata": {},
"build_args": {},
"secrets": {},
"build_context": {
"object_id": "<string>",
"type": "object"
},
"network_policy_id": "<string>"
},
"build_finish_time_ms": 123,
"failure_reason": "out_of_memory",
"base_blueprint_id": "<string>",
"containerized_services": [
{
"name": "<string>",
"image": "<string>",
"credentials": {
"username": "<string>",
"password": "<string>"
},
"env": {},
"port_mappings": [
"<string>"
],
"options": "<string>"
}
],
"is_public": true,
"metadata": {},
"devbox_capabilities": [
"unknown"
]
}Get a Blueprint.
Get the details of a previously created Blueprint including the build status.
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const blueprintView = await client.blueprints.retrieve('id');
console.log(blueprintView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
blueprint_view = client.blueprints.retrieve(
"id",
)
print(blueprint_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Blueprint
Response
OK
Blueprints are ways to create customized starting points for Devboxes. They allow you to define custom starting points for Devboxes such that environment set up can be cached to improve Devbox boot times.
The id of the Blueprint.
The name of the Blueprint.
The status of the Blueprint build.
queued, provisioning, building, awaiting_upload, failed, build_complete The state of the Blueprint.
created, deleted Creation time of the Blueprint (Unix timestamp milliseconds).
The parameters used to create Blueprint.
Show child attributes
Show child attributes
Build completion time of the Blueprint (Unix timestamp milliseconds).
The failure reason if the Blueprint build failed, if any.
out_of_memory, out_of_disk, build_failed The ID of the base Blueprint.
List of ContainerizedServices available in the Blueprint. Services can be explicitly started when creating a Devbox.
Show child attributes
Show child attributes
Whether this Blueprint is publicly accessible to all users.
User defined metadata associated with the blueprint.
Show child attributes
Show child attributes
Capabilities that will be available on Devbox.
unknown, docker_in_docker Was this page helpful?
